import type { PathnameNormalizer } from './pathname-normalizer';
export declare class BasePathPathnameNormalizer implements PathnameNormalizer {
    private readonly basePath?;
    constructor(basePath: string);
    match(pathname: string): boolean;
    normalize(pathname: string, matched?: boolean): string;
}
